Bug 588603 - Sense Key Recovered Error syslog messages for USB-attached hard drives
Sense Key Recovered Error syslog messages for USB-attached hard drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 23:38 EDT by Dave Ulrick
Modified: 2010-12-03 10:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Ulrick 2010-05-03 23:38:30 EDT
Description of problem:

Since upgrading from FC11 to FC12, the following messages have appeared in /var/log/messages every 30 minutes:

May  3 22:21:14 barney kernel: sd 2:0:0:0: [sdb] Sense Key : Recovered Error [current] [descriptor]
May  3 22:21:14 barney kernel: Descriptor sense data with sense descriptors (in hex):
May  3 22:21:14 barney kernel:        72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00 
May  3 22:21:14 barney kernel:        00 4f 00 c2 e0 50 
May  3 22:21:14 barney kernel: sd 2:0:0:0: [sdb] Add. Sense: ATA pass through information available
May  3 22:21:14 barney kernel: sd 3:0:0:0: [sdc] Sense Key : Recovered Error [current] [descriptor]
May  3 22:21:14 barney kernel: Descriptor sense data with sense descriptors (in hex):
May  3 22:21:14 barney kernel:        72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00 
May  3 22:21:14 barney kernel:        00 4f 00 c2 e0 50 
May  3 22:21:14 barney kernel: sd 3:0:0:0: [sdc] Add. Sense: ATA pass through information available

On this system, both /dev/sdb and /dev/sdc are USB-attached ATA hard drives.  All file systems on the drives are ext3.  The drives are not SMART capable (according to smartctl -i) and smartd is not running.  No performance, stability, or data loss problems have yet been noticed, and forums for other distros suggest that these messages are harmless, but to the uninformed user they do look fairly alarming.


Version-Release number of selected component (if applicable):

kernel-2.6.32.11-99.fc12.i686


How reproducible:

Power on USB drive enclosure containing ATA hard drives.  The errors occur even if no file system is mounted.


Steps to Reproduce:
1. Power on USB hard drive enclosure.

  
Actual results:

Syslog messages every half hour.


Expected results:

No syslog messages if no real error has occurred.

Additional info:

# smartctl -i /dev/sdb
smartctl 5.39.1 2010-01-28 r3054 [i386-redhat-linux-gnu] (local build)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

/dev/sdb: Unsupported USB bridge [0x04b4:0x6830 (0x001)]
Smartctl: please specify device type with the -d option.
e summary

# smartctl -d scsi -i /dev/sdb
smartctl 5.39.1 2010-01-28 r3054 [i386-redhat-linux-gnu] (local build)
Copyright (C) 2002-10 by Bruce Allen, http://smartmontools.sourceforge.net

Device: WDC WD50 00AAKB-00H8A0    Version: 0000
Serial number:     W -D
Device type: disk
Local Time is: Mon May  3 22:37:17 2010 CDT
Device does not support SMART
Comment 1 Bug Zapper 2010-11-03 11:42:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:07:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.